=== debian/control ===
Source: cdemu-client
Section: utils
Priority: optional
Homepage: http://cdemu.sourceforge.net/
Maintainer: Henrik Stokseth <hstokset@users.sourceforge.net>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: python3 (>= 3.4.0), intltool, cmake (>= 2.8.5), ninja-build, dh-python, bash-completion, pkg-config
X-Python3-Version: >= 3.4.0
Standards-Version: 4.3.0


Package: cdemu-client
Architecture: all
Depends: python3 (>= 3.4.0), python3-gi (>= 3.0.0), gir1.2-glib-2.0, cdemu-daemon (>= 3.0.0), ${python3:Depends}, ${misc:Depends}
Recommends: bash-completion, gcdemu (>= 3.0.0)
Description: Command-line client to control CDEmu daemon
 This is cdemu-client, a command-line client for controlling the
 CDEmu daemon. It is part of the CDEmu suite, a free, GPL CD/DVD-ROM device
 emulator for Linux.
 .
 It provides a way to perform the key tasks related to controlling the CDEmu
 daemon, such as loading and unloading devices, displaying devices' status and
 retrieving/setting devices' debug masks.
