=== debian/watch ===
version=3

http://sf.net/cdemu/ cdemu-client-(.+)\.tar\.bz2
